﻿#include "netDebug.as"
//------------------------------------------------------------------------
//STAGE PROPERTIES
//------------------------------------------------------------------------
qStageX=Stage.width, qStageY=Stage.height;
Stage.scaleMode = "noScale";
Stage.align = "TL";
Stage.showMenu = false;
if (System.capabilities.hasVideoEncoder) {
	var sysvid:String = "VIDEO";
} else {
	sysvid = " no VIDEO";
}
if (System.capabilities.hasAudio) {
	var sysaud:String = "AUDIO";
} else {
	sysaud = " no AUDIO";
}
if (System.capabilities.hasMP3) {
	var sysmp3:String = "MP3";
} else {
	sysmp3 = " no MP3";
}
if (System.capabilities.hasStreamingVideo) {
	var syssvid:String = "STREAMING VIDEO";
} else {
	syssvid = " no STREAMINGVIDEO";
}
if (System.capabilities.hasStreamingAudio) {
	var syssaud:String = "STREAMING AUDIO";
} else {
	syssaud = " noSTREAMINGAUDIO";
}
var sysos:String = System.capabilities.os;
//------------------------------------------------------------------------
//QKLASS
//------------------------------------------------------------------------
var quietRoomBase = new QKlass();
//------------------------------------------------------------------------
//BACKGROUND
//------------------------------------------------------------------------
var bg:String = "./images/bg_4.jpg";
quietRoomBase.newCreateEmptyMovieClip(_level0, "base_mc", 1, 0, 0);
var qLoader:MovieClipLoader = new MovieClipLoader();
var qEavesDropper:Object = new Object();
qLoader.addListener(qEavesDropper);
qLoader.loadClip(bg, base_mc);
qEavesDropper.onLoadStart = function(clip) {
};
//------------------------------------------------------------------------
quietRoomBase.newCreateEmptyMovieClip(_level0, "mailbase_mc", 14, 0, 0);
qMLoader = new MovieClipLoader();
var qMEavesDropper:Object = new Object();
qMLoader.addListener(qMEavesDropper);
//qMLoader.loadClip(mailmod, mailbase_mc);
qMEavesDropper.onLoadStart = function(clip) {
	trace("$^%& "+clip._name);
};
//-------------------------------------------------------------------------
qEavesDropper.onLoadProgress = function(clip, bytesLoaded, bytesTotal) {
	_level0.qPercent = Math.round(100*(bytesLoaded/bytesTotal));
};
qEavesDropper.onLoadComplete = function(clip) {
	trace(clip._name);
	_level0.qPercent = "/\\/\\/\\^~#_|_**___|/\\/\\/\\";
	_level0.createTextField("qSystemCheck", 4, 130, 350, 350, 350);
	qSystemCheck.html = true;
	qSystemCheck.multiline = false;
	qSystemCheck.selectable = true;
	qSystemCheck.type = "dynamic";
	qSystemCheck.text = ":::qUieT roOM nAtive SystEMs:::"+newline+"-----------/\\\\\\\\/\\\\\\\\/\\\\\\\\/\\\\\\\\/\\\\\\\\-------------------------"+newline+sysvid+newline+sysaud+newline+sysmp3+newline+syssvid+newline+syssaud+newline+sysos+newline+_level0.qPercent;
	var q_txt_format:TextFormat = new TextFormat("Arial", 10, 0xFFCC00, true, false);
	qSystemCheck.setTextFormat(q_txt_format);
	//-----------------------------------------------------------------------
	//INFORMATION MACHINE
	//------------------------------------------------------------------------
	quietRoomBase.newAttachMovie(_level0, "slideBack", "sb_mc", 8, 115, 120);
	quietRoomBase.newAttachMovie(_level0, "quietMask", "qm_mc", 9, 246, 240);
	sb_mc.setMask(_level0.qm_mc);
	ragval = "test.html";
	//-------------------------------------------------------------------------
	//VIDEO and MASK
	//-------------------------------------------------------------------------
	quietRoomBase.newCreateEmptyMovieClip(_level0, "vidbase_mc", 5, 0, 0);
	quietRoomBase.newAttachMovie(_level0.vidbase_mc, "qVid", "vid_mc", 1, 300, 180);
	for (var k = 0; k<2; k++) {
		quietRoomBase.newAttachMovie(_level0, "qDisc", "qDisc"+k+"_mc", 10+k, 400+(k*20), 320);
		_level0["qDisc"+k+"_mc"].onEnterFrame = function() {
			this._rotation += 1;
		};
	}
	//------------------------------------------------------------------------
	//NET CONNECTION
	//------------------------------------------------------------------------
	var myNetConnection:NetConnection = new NetConnection();
	myNetConnection.connect(null);
	var myNetStream:NetStream = new NetStream(myNetConnection);
	myNetStream.setBufferTime(5);
	var qvNum:Number = 0;
	_level0.vidbase_mc.vid_mc.q_video.attachVideo(myNetStream);
	_level0.vidbase_mc.vid_mc._alpha = 30;
	//-------------------------------------------------------------------------
	//SOUNDs
	//-------------------------------------------------------------------------
	var q_sound:Sound = new Sound();
	var quake_sound:Sound = new Sound();
	quake_sound.attachSound("thunder");
	quake_sound.start();
	var qsNum:Number = 0;
	var qvNum:Number = 0;
	var qmNum:Number = 0;
	var idData:Object = new Object();
	q_sound.onID3 = function() {
		trace("dpf");
		idData.qbegin = "DEtAiLS OF THE SonG";
		idData.qname = "Artiste:: "+q_sound.id3.artist;
		idData.qsong = "Song:: "+q_sound.id3.songtitle;
		idData.qlyrics = "Track #:: "+q_sound.id3.track;
		idData.qtime = "Period:: "+q_sound.id3.year;
		fullMonty = idData.qbegin+newline+idData.qname+newline+idData.qsong+newline+idData.qlyrics+newline+idData.qtime;
	};
	//-----------------------------------------------------------
	//LOCAL CONNECTION / functions
	//-----------------------------------------------------------
	qr_lc = new LocalConnection();
	qr_lc.doQInfo = function() {
		sb_mc.play();
	};
	qr_lc.doQVideo = function() {
		if (qvNum == 0) {
			//myNetStream.play("http://localhost/Toreador/AS-II-documentation/ayo.flv");
			myNetStream.play("aa.flv");
			qvNum = 1;
		} else if (qvNum == 1) {
			myNetStream.close();
			_level0.vidbase_mc.vid_mc.q_video.clear();
			qvNum = 0;
		}
	};
	qr_lc.doQSound = function() {
		if (qsNum == 0) {
			q_sound.loadSound("./sound/Sasha - Airdrawndagger - 11 - Wavy Gravy.mp3", true);
			_level0.createTextField("mp3id", 7, 430, 170, 350, 350);
			mp3id.html = true;
			mp3id.multiline = false;
			mp3id.selectable = true;
			mp3id.type = "dynamic";
			mp3id.text = _level0.fullMonty;
			mp3id.setTextFormat(q_txt_format);
			quietRoomBase.newAttachMovie(_level0, "mouth", "qmouth_mc", 12, 400, 340);
			quietRoomBase.doFadeIn(_level0.qmouth_mc);
			quietRoomBase.newCreateEmptyMovieClip(_level0, "id_mc", 13, 0, 0);
			id_mc.onEnterFrame = function() {
				if (_level0.mp3id.text == "undefined") {
					mp3id.text = _level0.fullMonty;
					mp3id.setTextFormat(q_txt_format);
					trace("uhuh");
				} else {
					//delete this.onEnterFrame();
					this.onEnterFrame = undefined;
				}
			};
			qsNum = 1;
		} else if (qsNum == 1) {
			mp3id.text = "";
			q_sound.stop(), qsNum=0;
			quietRoomBase.doFadeOut(_level0.qmouth_mc);
		}
	};
	doQConnect = function (qID) {
		// ---------------------------------------------------------
		// FCS NetConnection
		// ---------------------------------------------------------
		trace(qID);
		quiet_nc = new NetConnection();
		quiet_nc.connect("rtmp://213.232.95.71/quiet_room/theQuietRoom", qID);
		// quiet_nc.connect("rtmp:/quiet_room/theQuietRoom", qID);
		quiet_nc.onStatus = function(info) {
			trace(info.code);
			if (info.code == "NetConnection.Connect.Success") {
				_level0[avName].goPublish();
				qSystemCheck.text += newline+"FCS connected";
				qSystemCheck.setTextFormat(q_txt_format);
			}
		};
		// --------------------------------------------------------
		// SHARED OBJECT
		// --------------------------------------------------------
		my_so = SharedObject.getRemote("shared", quiet_nc.uri, false);
		my_so.connect(quiet_nc);
		my_so.onSync = function(list) {
			for (var i in my_so.data) {
				if (my_so.data[i] != qID && (list[i].code == "change" || list[i].code == "success")) {
					quietRoomBase.newAttachMovie(_level0, "avi_mc", ["av_"+my_so.data[i]], 80+i, 80+(50*i), 180);
				}
			}
		};
	};
	// ---------------------------------------------------------
	// FCS AV PORTAL
	// ---------------------------------------------------------	
	qr_lc.doAV = function(idData) {
		if (qmNum == 0) {
			qID = idData;
			trace(qID);
			_level0.avName = "av_"+qID;
			quietRoomBase.newAttachMovie(_level0, "avi_mc", avName, 40, 80, 180);
			_level0[avName]._alpha = 60;
			quietRoomBase.newPressNDrag(_level0[avName].dragger_mc);
			doQConnect(qID);
			_level0.qmNum = 1;
		}
	};
	//---------------------------------------------------------
	// CLOSE WINDOW
	// --------------------------------------------------------
	qr_lc.doQClose = function() {
		getURL("javascript:closeWindow()");
	};
	qr_lc.connect("qr_lc");
	//---------------------------------------------------------
	//FLIES
	//---------------------------------------------------------
	var j:Number = 0;
	_level0.onMouseMove = function() {
		j++;
		if (j<30) {
			//trace(j);
			quietRoomBase.newAttachMovie(_level0, "fly", ["fly"+j], 40+j, 526, 60);
			_level0["fly"+j]._rotation = Math.random()*-290;
		} else if (j>30) {
			j = 0;
		}
	};
};
